package ac.essex.gp.cluster;

/**
 * <p/>
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version,
 * provided that any use properly credits the author.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details at http://www.gnu.org
 * </p>
 *
 * @author Olly Oechsle, University of Essex, Date: 04-Aug-2008
 * @version 1.0
 */
public interface GPServerListener {

    public void onRequest(String request);

    public void onGPStatusUpdate(String message);

    public void onGPStarted();

    public void onGPFinished(int totalEvaluations);

    public void onServerStatusUpdate(String message);

    public void onServerError(String message);

    public void onPing();

    public void onMessage(String message);

}
