package ac.essex.gp.interfaces.graphical;

import ac.essex.gp.individuals.Individual;

/**
 * @author Olly Oechsle, University of Essex, Date: 26-Jan-2007
 * @version 1.0
 */
class GenerationResult {

    int generation;
    Individual individual;
    long time;

    public GenerationResult(int generation, Individual individual, long time) {
        this.generation = generation;
        this.individual = individual;
        this.time = time;
    }

    public static String getCSVHeader() {
        return "Time, Generation, Hits, Size";
    }

    public String toCSV() {
        return time + ", " + generation + ", " + individual.getHits() + ", " + individual.getTreeSize();
    }

}
